Query runtime provider Profile¶
Query the configuration of a runtime provider Profile.
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-runtime-providers/{provider_id}/profiles/{profile_id}
Preparation before calling¶
The examples below use $AI_STUDIO_API_KEY, $WORKSPACE_ID, $PROVIDER_ID, and $PROFILE_ID.
Request example¶
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-runtime-providers/$PROVIDER_ID/profiles/$PROFILE_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
Returns 200 and the target Profile on success.
{"code":0,"data":{"provider":"astra","profile":"default"}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
object |
Runtime provider Profile. |
Error response¶
{"code":5,"message":"runtime provider not found"}
Last updated on